#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    int x,y;
    cin>>x>>y;
    int niz[21];
    int i=0;
    while(x>0 && y>0)
    {
        if(x%10 != y%10)
            niz[i]=max(x%10,y%10);
        else
        {
            niz[i]=max(x%10,y%10);
            niz[i+1]=max(x%10,y%10);
            i++;
        }
        i++;
        x/=10;
        y/=10;
    }
    if(x>0)
        cout<<x;
    if(y>0)
        cout<<y;
    for(int m=i-1;m>=0;m--)
        cout<<niz[m];

    return 0;

}